Get a catalog app's settings
GET
/container/catalog/{source}/{id}
const url = 'https://sylve.lan:8181/api/container/catalog/example/example';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/container/catalog/example/example \ --header 'Authorization: <Authorization>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”source
required
string
Catalog
id
required
string
App ID
Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
object
app
object
category
string
description
string
id
string
name
string
os
string
source
string
stack
boolean
variants
Array<object>
object
default
boolean
id
string
image
string
label
string
version
string
choices
Array<object>
object
default
string
doc
string
id
string
label
string
options
Array<object>
object
adds
Array<string>
ask
Array<object>
object
advanced
boolean
default
string
folders
Array<string>
hint
string
label
string
name
string
optional
boolean
owner
string
placeholder
string
protocol
string
target
string
type
string
values
object
key
additional properties
string
volume
string
doc
string
drops
Array<string>
id
string
label
string
containers
Array<string>
stack
string
variables
Array<object>
object
advanced
boolean
default
string
folders
Array<string>
hint
string
label
string
name
string
optional
boolean
owner
string
placeholder
string
protocol
string
target
string
type
string
values
object
key
additional properties
string
volume
string
error
string
message
string
status
string
Examplegenerated
{ "data": { "app": { "category": "example", "description": "example", "id": "example", "name": "example", "os": "example", "source": "example", "stack": true, "variants": [ { "default": true, "id": "example", "image": "example", "label": "example" } ], "version": "example" }, "choices": [ { "default": "example", "doc": "example", "id": "example", "label": "example", "options": [ { "adds": [ "example" ], "ask": [ { "advanced": true, "default": "example", "folders": [ "example" ], "hint": "example", "label": "example", "name": "example", "optional": true, "owner": "example", "placeholder": "example", "protocol": "example", "target": "example", "type": "example", "values": { "additionalProperty": "example" }, "volume": "example" } ], "doc": "example", "drops": [ "example" ], "id": "example", "label": "example" } ] } ], "containers": [ "example" ], "stack": "example", "variables": [ { "advanced": true, "default": "example", "folders": [ "example" ], "hint": "example", "label": "example", "name": "example", "optional": true, "owner": "example", "placeholder": "example", "protocol": "example", "target": "example", "type": "example", "values": { "additionalProperty": "example" }, "volume": "example" } ] }, "error": "example", "message": "example", "status": "example"}